Last Comment Bug 537414 - pasting clipboard content to OpenOffice Writer broken
: pasting clipboard content to OpenOffice Writer broken
Status: VERIFIED FIXED
: regression
Product: Core
Classification: Components
Component: Widget: Win32 (show other bugs)
: 1.9.2 Branch
: x86 Windows XP
: -- normal (vote)
: mozilla1.9.2
Assigned To: Jim Mathies [:jimm]
:
Mentors:
http://www.einvestigator.com/links/li...
: 539477 539639 (view as bug list)
Depends on: 538891
Blocks: 533691
  Show dependency treegraph
 
Reported: 2009-12-31 14:01 PST by evanribbey
Modified: 2010-03-01 15:26 PST (History)
13 users (show)
mbeltzner: blocking1.9.2-
mbeltzner: wanted1.9.2+
mbeltzner: blocking1.9.0.19-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
final-fixed
.9+
.9-fixed


Attachments
idx bug (608 bytes, patch)
2010-01-09 10:04 PST, Jim Mathies [:jimm]
roc: review+
mbeltzner: approval1.9.2+
Details | Diff | Splinter Review

Description evanribbey 2009-12-31 14:01:16 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.3a1pre) Gecko/20091230 Minefield/3.7a1pre
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.3a1pre) Gecko/20091230 Minefield/3.7a1pre

If I highlight anything (happens on every page I have tried) and select copy, then go to the Open Office Writer document I want to copy the text into, there is no option to paste the text. It is as  if it was never copied to the clipboard or something

Reproducible: Always

Steps to Reproduce:
1.Visit this website http://www.einvestigator.com/links/lists/list_of_us_presidents.htm
2.Highlight some text, right click and hit "copy"
3.Go into Open Office Writer and right click and see if there is a "paste" option.
Actual Results:  
No paste option appears and even when one enters the "edit" menu at the top of the window, the paste option is grayed out.

Expected Results:  
The text should have been copied and then pasted into the Open Office program.

I am using the latest test build of Minefield.
Comment 1 Tom 2010-01-08 08:48:36 PST
I can confirm it with Fx3.6 Rc1 [Mozilla/5.0 (Windows; U; Windows NT 6.1; de; rv:1.9.2) Gecko/20100105 Firefox/3.6] on Windows7 Ultimate x64 and OpenOffice 3.1.1.
You can not paste an copied text from Fx3.6 Rc1 to OpenOffice!
Comment 2 (mostly gone) XtC4UaLL [:xtc4uall] 2010-01-09 04:33:51 PST
this regressed on MC within:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=e4e23cc1f527&tochange=88ee36d9eb53

and on 1.9.2 within:
http://hg.mozilla.org/releases/mozilla-1.9.2/pushloghtml?fromchange=23054aa8df66&tochange=d82ce930bef3 (and therefore is present in Fx3.6RC1)

overlap points to: Bug 533691 (maybe also related Bug 528731?)
Comment 3 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2010-01-09 06:06:41 PST
Probably too late to block, but nominating anyways.
Comment 4 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2010-01-09 06:17:57 PST
Bug 533691 is almost certainly responsible.  Luckily, that means the fix should be easy :-)
Comment 5 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2010-01-09 07:17:50 PST
I can confirm this on trunk.  I have a theory as to why this is happening.
Comment 6 Jim Mathies [:jimm] 2010-01-09 10:04:54 PST
Created attachment 420902 [details] [diff] [review]
idx bug

I don't have open office to test, but I'd guess this is the cause. Regardless, this needs to be addressed. Let's plan on adding tests for this object in in addition to the data object tests we're working on.
Comment 7 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2010-01-09 11:06:13 PST
I can confirm that Jim's patch fixes the bug.  My theory was that we were hitting an integer overflow at http://mxr.mozilla.org/mozilla-central/source/widget/src/windows/IEnumFE.cpp#129 (Next(ULONG_MAX, ...); seems like a good way to get all of the FORMATETCs out at once) so we'll want to fix that too even if it's not the cause.
Comment 8 Jim Mathies [:jimm] 2010-01-10 12:09:12 PST
http://hg.mozilla.org/mozilla-central/rev/6c1cd8a81f95
Comment 9 Jim Mathies [:jimm] 2010-01-10 12:09:48 PST
(In reply to comment #7)
> I can confirm that Jim's patch fixes the bug.  My theory was that we were
> hitting an integer overflow at
> http://mxr.mozilla.org/mozilla-central/source/widget/src/windows/IEnumFE.cpp#129
> (Next(ULONG_MAX, ...); seems like a good way to get all of the FORMATETCs out
> at once) so we'll want to fix that too even if it's not the cause.

Lets file that out as a separate bug from this one.
Comment 10 Jim Mathies [:jimm] 2010-01-10 12:11:26 PST
This code didn't land on 1.9.0 or 1.9.1 yet. I'll make a note to include it in bug 533691 so we don't have to request two sets of approvals.
Comment 11 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2010-01-11 03:54:54 PST
I have no idea where whether there are plans for an RC2 or not, but if there's any opportunity for this to block it should.  It's a serious regression in user facing features.
Comment 12 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2010-01-11 03:58:22 PST
(In reply to comment #11)
> I have no idea where whether there are plans for an RC2 or not, but if there's
> any opportunity for this to block it should.  It's a serious regression in user
> facing features.

And the fix is trivial.
Comment 13 Mike Beltzner [:beltzner, not reading bugmail] 2010-01-11 09:04:11 PST
I don't think this blocks, but we'd take it as a ridealong. Otherwise: 3.6.1.

Jim: what other applications do we think are affected, here? Adding a relnote ...
Comment 14 Jim Mathies [:jimm] 2010-01-11 09:31:30 PST
(In reply to comment #13)
> I don't think this blocks, but we'd take it as a ridealong. Otherwise: 3.6.1.
> 
> Jim: what other applications do we think are affected, here? Adding a relnote
> ...

I haven't seen any anomalies in other apps, but I'm with Kyle, this should get into the final and not wait on a point release. The bug will likely cause some problems that haven't surfaced yet, and the fix is very safe to take.
Comment 15 Serge Gautherie (:sgautherie) 2010-01-12 07:52:01 PST
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.3a1pre) Gecko/20100111 SeaMonkey/2.1a1pre] (nightly) (W2Ksp4)

V.Fixed.
Comment 16 (mostly gone) XtC4UaLL [:xtc4uall] 2010-01-13 13:26:08 PST
*** Bug 539477 has been marked as a duplicate of this bug. ***
Comment 17 Robert Longson 2010-01-14 00:55:54 PST
*** Bug 539639 has been marked as a duplicate of this bug. ***
Comment 18 Eugene Savitsky 2010-01-14 14:34:55 PST
Lanikai 3.1a1pre (Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.2pre) Gecko/20100113 Lanikai/3.1a1pre) has the same issue. I assume the fix should be in this build?
Comment 19 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2010-01-14 14:36:35 PST
(In reply to comment #18)
> Lanikai 3.1a1pre (Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.2pre)
> Gecko/20100113 Lanikai/3.1a1pre) has the same issue. I assume the fix should be
> in this build?

No.  This has not been pushed to the 1.9.2. branch yet.
Comment 20 Mike Beltzner [:beltzner, not reading bugmail] 2010-01-15 11:32:20 PST
Comment on attachment 420902 [details] [diff] [review]
idx bug

a192=beltzner, please land on mozilla-1.9.2 and GECKO192_20100105_RELBRANCH
Comment 21 :Gavin Sharp [email: gavin@gavinsharp.com] 2010-01-15 11:40:09 PST
Landed on 1.9.2 and the 1.9.2 GECKO192_20100105_RELBRANCH for RC2:
https://hg.mozilla.org/releases/mozilla-1.9.2/rev/c451b7c96a16
https://hg.mozilla.org/releases/mozilla-1.9.2/rev/60d02a5d02a3
Comment 22 Daniel Veditz [:dveditz] 2010-02-02 07:59:11 PST
Nominated to block older branches because it's a regression from bug 533691 which is nominated.
Comment 23 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2010-03-01 15:26:39 PST
Landed on 1.9.1 in the rollup.

Note You need to log in before you can comment on or make changes to this bug.